# Class Contact

java.lang.Object
com.independentsoft.pst.Item
com.independentsoft.pst.Contact

public class Contact extends Item
The Class Contact.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getAssistentName()`
  Gets the assistent name.
  `String`
  `getAssistentPhone()`
  Gets the assistent phone.
  `Date`
  `getBirthday()`
  Gets the birthday.
  `String`
  `getBusinessAddress()`
  Gets the business address.
  `String`
  `getBusinessAddressCity()`
  Gets the business address city.
  `String`
  `getBusinessAddressCountry()`
  Gets the business address country.
  `String`
  `getBusinessAddressPostalCode()`
  Gets the business address postal code.
  `String`
  `getBusinessAddressPostOfficeBox()`
  Gets the business address post office box.
  `String`
  `getBusinessAddressState()`
  Gets the business address state.
  `String`
  `getBusinessAddressStreet()`
  Gets the business address street.
  `String`
  `getBusinessFax()`
  Gets the business fax.
  `String`
  `getBusinessHomePage()`
  Gets the business home page.
  `String`
  `getBusinessPhone()`
  Gets the business phone.
  `String`
  `getBusinessPhone2()`
  Gets the business phone2.
  `String`
  `getCallbackPhone()`
  Gets the callback phone.
  `String`
  `getCarPhone()`
  Gets the car phone.
  `String`
  `getCellularPhone()`
  Gets the cellular phone.
  `List<String>`
  `getChildrenNames()`
  Gets the children names.
  `String`
  `getCompanyMainPhone()`
  Gets the company main phone.
  `String`
  `getCompanyName()`
  Gets the company name.
  `String`
  `getComputerNetworkName()`
  Gets the computer network name.
  `String`
  `getCustomerId()`
  Gets the customer id.
  `String`
  `getDepartmentName()`
  Gets the department name.
  `String`
  `getDisplayName()`
  Gets the display name.
  `String`
  `getDisplayNamePrefix()`
  Gets the display name prefix.
  `String`
  `getEmail1Address()`
  Gets the email1 address.
  `String`
  `getEmail1DisplayAs()`
  Gets the email1 display as.
  `String`
  `getEmail1DisplayName()`
  Gets the email1 display name.
  `byte[]`
  `getEmail1EntryId()`
  Gets the email1 entry id.
  `String`
  `getEmail1Type()`
  Gets the email1 type.
  `String`
  `getEmail2Address()`
  Gets the email2 address.
  `String`
  `getEmail2DisplayAs()`
  Gets the email2 display as.
  `String`
  `getEmail2DisplayName()`
  Gets the email2 display name.
  `byte[]`
  `getEmail2EntryId()`
  Gets the email2 entry id.
  `String`
  `getEmail2Type()`
  Gets the email2 type.
  `String`
  `getEmail3Address()`
  Gets the email3 address.
  `String`
  `getEmail3DisplayAs()`
  Gets the email3 display as.
  `String`
  `getEmail3DisplayName()`
  Gets the email3 display name.
  `byte[]`
  `getEmail3EntryId()`
  Gets the email3 entry id.
  `String`
  `getEmail3Type()`
  Gets the email3 type.
  `String`
  `getFileAs()`
  Gets the file as.
  `String`
  `getFtpSite()`
  Gets the ftp site.
  `Gender`
  `getGender()`
  Gets the gender.
  `String`
  `getGeneration()`
  Gets the generation.
  `String`
  `getGivenName()`
  Gets the given name.
  `String`
  `getGovernmentId()`
  Gets the government id.
  `boolean`
  `getHasPicture()`
  Gets the checks for picture.
  `String`
  `getHobbies()`
  Gets the hobbies.
  `String`
  `getHomeAddress()`
  Gets the home address.
  `String`
  `getHomeAddressCity()`
  Gets the home address city.
  `String`
  `getHomeAddressCountry()`
  Gets the home address country.
  `String`
  `getHomeAddressPostalCode()`
  Gets the home address postal code.
  `String`
  `getHomeAddressPostOfficeBox()`
  Gets the home address post office box.
  `String`
  `getHomeAddressState()`
  Gets the home address state.
  `String`
  `getHomeAddressStreet()`
  Gets the home address street.
  `String`
  `getHomeFax()`
  Gets the home fax.
  `String`
  `getHomePhone()`
  Gets the home phone.
  `String`
  `getHomePhone2()`
  Gets the home phone2.
  `String`
  `getInitials()`
  Gets the initials.
  `String`
  `getInstantMessengerAddress()`
  Gets the instant messenger address.
  `String`
  `getInternetFreeBusyAddress()`
  Gets the internet free busy address.
  `String`
  `getIsdn()`
  Gets the isdn.
  `String`
  `getManagerName()`
  Gets the manager name.
  `String`
  `getMiddleName()`
  Gets the middle name.
  `String`
  `getNickname()`
  Gets the nickname.
  `String`
  `getOfficeLocation()`
  Gets the office location.
  `String`
  `getOtherAddress()`
  Gets the other address.
  `String`
  `getOtherAddressCity()`
  Gets the other address city.
  `String`
  `getOtherAddressCountry()`
  Gets the other address country.
  `String`
  `getOtherAddressPostalCode()`
  Gets the other address postal code.
  `String`
  `getOtherAddressState()`
  Gets the other address state.
  `String`
  `getOtherAddressStreet()`
  Gets the other address street.
  `String`
  `getOtherPhone()`
  Gets the other phone.
  `String`
  `getPager()`
  Gets the pager.
  `String`
  `getPersonalHomePage()`
  Gets the personal home page.
  `String`
  `getPostalAddress()`
  Gets the postal address.
  `String`
  `getPrimaryFax()`
  Gets the primary fax.
  `String`
  `getPrimaryPhone()`
  Gets the primary phone.
  `String`
  `getProfession()`
  Gets the profession.
  `String`
  `getRadioPhone()`
  Gets the radio phone.
  `SelectedMailingAddress`
  `getSelectedMailingAddress()`
  Gets the selected mailing address.
  `String`
  `getSpouseName()`
  Gets the spouse name.
  `String`
  `getSurname()`
  Gets the surname.
  `String`
  `getTelex()`
  Gets the telex.
  `String`
  `getTitle()`
  Gets the title.
  `String`
  `getTtyTddPhone()`
  Gets the tty tdd phone.
  `Date`
  `getWeddingAnniversary()`
  Gets the wedding anniversary.

  ### Methods inherited from class com.independentsoft.pst.Item

  `getAttachments, getBillingInformation, getBody, getBodyHtml, getBodyHtmlText, getBodyRtf, getCategories, getClientSubmitTime, getCodePage, getConversationIndex, getConversationTopic, getCreationTime, getCreatorName, getDisableFullFidelity, getDisplayBcc, getDisplayCc, getDisplayTo, getEncoding, getEntryId, getExtendedProperties, getFlagIcon, getFlagStatus, getIconIndex, getId, getImportance, getInReplyTo, getInternetCodePage, getInternetMessageId, getInternetReferences, getKeywords, getLastModificationTime, getLastModifierName, getLastVerbExecuted, getLastVerbExecutionTime, getMessageClass, getMessageDeliveryTime, getMessageFile, getMessageFile, getMessageFlags, getMileage, getNormalizedSubject, getObjectType, getOriginalDisplayTo, getOutlookInternalVersion, getOutlookVersion, getParentId, getPriority, getProviderSubmitTime, getReceivedByAddressType, getReceivedByEmailAddress, getReceivedByEntryId, getReceivedByName, getReceivedBySearchKey, getReceivedRepresentingAddressType, getReceivedRepresentingEmailAddress, getReceivedRepresentingEntryId, getReceivedRepresentingName, getReceivedRepresentingSearchKey, getRecipients, getReplyTo, getReportText, getReportTime, getRtfCompressed, getRtfInSync, getSearchKey, getSenderAddressType, getSenderEmailAddress, getSenderEntryId, getSenderName, getSenderSearchKey, getSensitivity, getSentRepresentingAddressType, getSentRepresentingEmailAddress, getSentRepresentingEntryId, getSentRepresentingName, getSentRepresentingSearchKey, getSize, getSubject, getSubjectPrefix, getTable, getTransportMessageHeaders, hasAttachment, isEmbedded, isHidden, isReadOnly, isSystem, save, save, save, save, save, save`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### getBirthday

    public Date getBirthday()
    Gets the birthday.
    Returns:
      the birthday

  - ### getChildrenNames

    public List<String> getChildrenNames()
    Gets the children names.
    Returns:
      the children names

  - ### getAssistentName

    public String getAssistentName()
    Gets the assistent name.
    Returns:
      the assistent name

  - ### getAssistentPhone

    public String getAssistentPhone()
    Gets the assistent phone.
    Returns:
      the assistent phone

  - ### getBusinessPhone

    public String getBusinessPhone()
    Gets the business phone.
    Returns:
      the business phone

  - ### getBusinessFax

    public String getBusinessFax()
    Gets the business fax.
    Returns:
      the business fax

  - ### getBusinessHomePage

    public String getBusinessHomePage()
    Gets the business home page.
    Returns:
      the business home page

  - ### getCallbackPhone

    public String getCallbackPhone()
    Gets the callback phone.
    Returns:
      the callback phone

  - ### getCarPhone

    public String getCarPhone()
    Gets the car phone.
    Returns:
      the car phone

  - ### getCellularPhone

    public String getCellularPhone()
    Gets the cellular phone.
    Returns:
      the cellular phone

  - ### getCompanyMainPhone

    public String getCompanyMainPhone()
    Gets the company main phone.
    Returns:
      the company main phone

  - ### getCompanyName

    public String getCompanyName()
    Gets the company name.
    Returns:
      the company name

  - ### getComputerNetworkName

    public String getComputerNetworkName()
    Gets the computer network name.
    Returns:
      the computer network name

  - ### getBusinessAddressCountry

    public String getBusinessAddressCountry()
    Gets the business address country.
    Returns:
      the business address country

  - ### getCustomerId

    public String getCustomerId()
    Gets the customer id.
    Returns:
      the customer id

  - ### getDepartmentName

    public String getDepartmentName()
    Gets the department name.
    Returns:
      the department name

  - ### getDisplayName

    public String getDisplayName()
    Gets the display name.
    Returns:
      the display name

  - ### getDisplayNamePrefix

    public String getDisplayNamePrefix()
    Gets the display name prefix.
    Returns:
      the display name prefix

  - ### getFtpSite

    public String getFtpSite()
    Gets the ftp site.
    Returns:
      the ftp site

  - ### getGeneration

    public String getGeneration()
    Gets the generation.
    Returns:
      the generation

  - ### getGivenName

    public String getGivenName()
    Gets the given name.
    Returns:
      the given name

  - ### getGovernmentId

    public String getGovernmentId()
    Gets the government id.
    Returns:
      the government id

  - ### getHobbies

    public String getHobbies()
    Gets the hobbies.
    Returns:
      the hobbies

  - ### getHomePhone2

    public String getHomePhone2()
    Gets the home phone2.
    Returns:
      the home phone2

  - ### getHomeAddressCity

    public String getHomeAddressCity()
    Gets the home address city.
    Returns:
      the home address city

  - ### getHomeAddressCountry

    public String getHomeAddressCountry()
    Gets the home address country.
    Returns:
      the home address country

  - ### getHomeAddressPostalCode

    public String getHomeAddressPostalCode()
    Gets the home address postal code.
    Returns:
      the home address postal code

  - ### getHomeAddressPostOfficeBox

    public String getHomeAddressPostOfficeBox()
    Gets the home address post office box.
    Returns:
      the home address post office box

  - ### getHomeAddressState

    public String getHomeAddressState()
    Gets the home address state.
    Returns:
      the home address state

  - ### getHomeAddressStreet

    public String getHomeAddressStreet()
    Gets the home address street.
    Returns:
      the home address street

  - ### getHomeFax

    public String getHomeFax()
    Gets the home fax.
    Returns:
      the home fax

  - ### getHomePhone

    public String getHomePhone()
    Gets the home phone.
    Returns:
      the home phone

  - ### getInitials

    public String getInitials()
    Gets the initials.
    Returns:
      the initials

  - ### getIsdn

    public String getIsdn()
    Gets the isdn.
    Returns:
      the isdn

  - ### getBusinessAddressCity

    public String getBusinessAddressCity()
    Gets the business address city.
    Returns:
      the business address city

  - ### getManagerName

    public String getManagerName()
    Gets the manager name.
    Returns:
      the manager name

  - ### getMiddleName

    public String getMiddleName()
    Gets the middle name.
    Returns:
      the middle name

  - ### getNickname

    public String getNickname()
    Gets the nickname.
    Returns:
      the nickname

  - ### getOfficeLocation

    public String getOfficeLocation()
    Gets the office location.
    Returns:
      the office location

  - ### getBusinessPhone2

    public String getBusinessPhone2()
    Gets the business phone2.
    Returns:
      the business phone2

  - ### getOtherAddressCity

    public String getOtherAddressCity()
    Gets the other address city.
    Returns:
      the other address city

  - ### getOtherAddressCountry

    public String getOtherAddressCountry()
    Gets the other address country.
    Returns:
      the other address country

  - ### getOtherAddressPostalCode

    public String getOtherAddressPostalCode()
    Gets the other address postal code.
    Returns:
      the other address postal code

  - ### getOtherAddressState

    public String getOtherAddressState()
    Gets the other address state.
    Returns:
      the other address state

  - ### getOtherAddressStreet

    public String getOtherAddressStreet()
    Gets the other address street.
    Returns:
      the other address street

  - ### getOtherPhone

    public String getOtherPhone()
    Gets the other phone.
    Returns:
      the other phone

  - ### getPager

    public String getPager()
    Gets the pager.
    Returns:
      the pager

  - ### getPersonalHomePage

    public String getPersonalHomePage()
    Gets the personal home page.
    Returns:
      the personal home page

  - ### getPostalAddress

    public String getPostalAddress()
    Gets the postal address.
    Returns:
      the postal address

  - ### getBusinessAddressPostalCode

    public String getBusinessAddressPostalCode()
    Gets the business address postal code.
    Returns:
      the business address postal code

  - ### getBusinessAddressPostOfficeBox

    public String getBusinessAddressPostOfficeBox()
    Gets the business address post office box.
    Returns:
      the business address post office box

  - ### getBusinessAddressState

    public String getBusinessAddressState()
    Gets the business address state.
    Returns:
      the business address state

  - ### getBusinessAddressStreet

    public String getBusinessAddressStreet()
    Gets the business address street.
    Returns:
      the business address street

  - ### getPrimaryFax

    public String getPrimaryFax()
    Gets the primary fax.
    Returns:
      the primary fax

  - ### getPrimaryPhone

    public String getPrimaryPhone()
    Gets the primary phone.
    Returns:
      the primary phone

  - ### getProfession

    public String getProfession()
    Gets the profession.
    Returns:
      the profession

  - ### getRadioPhone

    public String getRadioPhone()
    Gets the radio phone.
    Returns:
      the radio phone

  - ### getSpouseName

    public String getSpouseName()
    Gets the spouse name.
    Returns:
      the spouse name

  - ### getSurname

    public String getSurname()
    Gets the surname.
    Returns:
      the surname

  - ### getTelex

    public String getTelex()
    Gets the telex.
    Returns:
      the telex

  - ### getTitle

    public String getTitle()
    Gets the title.
    Returns:
      the title

  - ### getTtyTddPhone

    public String getTtyTddPhone()
    Gets the tty tdd phone.
    Returns:
      the tty tdd phone

  - ### getWeddingAnniversary

    public Date getWeddingAnniversary()
    Gets the wedding anniversary.
    Returns:
      the wedding anniversary

  - ### getSelectedMailingAddress

    public SelectedMailingAddress getSelectedMailingAddress()
    Gets the selected mailing address.
    Returns:
      the selected mailing address

  - ### getHasPicture

    public boolean getHasPicture()
    Gets the checks for picture.
    Returns:
      the checks for picture

  - ### getFileAs

    public String getFileAs()
    Gets the file as.
    Returns:
      the file as

  - ### getInstantMessengerAddress

    public String getInstantMessengerAddress()
    Gets the instant messenger address.
    Returns:
      the instant messenger address

  - ### getInternetFreeBusyAddress

    public String getInternetFreeBusyAddress()
    Gets the internet free busy address.
    Returns:
      the internet free busy address

  - ### getBusinessAddress

    public String getBusinessAddress()
    Gets the business address.
    Returns:
      the business address

  - ### getHomeAddress

    public String getHomeAddress()
    Gets the home address.
    Returns:
      the home address

  - ### getOtherAddress

    public String getOtherAddress()
    Gets the other address.
    Returns:
      the other address

  - ### getEmail1Address

    public String getEmail1Address()
    Gets the email1 address.
    Returns:
      the email1 address

  - ### getEmail2Address

    public String getEmail2Address()
    Gets the email2 address.
    Returns:
      the email2 address

  - ### getEmail3Address

    public String getEmail3Address()
    Gets the email3 address.
    Returns:
      the email3 address

  - ### getEmail1DisplayName

    public String getEmail1DisplayName()
    Gets the email1 display name.
    Returns:
      the email1 display name

  - ### getEmail2DisplayName

    public String getEmail2DisplayName()
    Gets the email2 display name.
    Returns:
      the email2 display name

  - ### getEmail3DisplayName

    public String getEmail3DisplayName()
    Gets the email3 display name.
    Returns:
      the email3 display name

  - ### getEmail1DisplayAs

    public String getEmail1DisplayAs()
    Gets the email1 display as.
    Returns:
      the email1 display as

  - ### getEmail2DisplayAs

    public String getEmail2DisplayAs()
    Gets the email2 display as.
    Returns:
      the email2 display as

  - ### getEmail3DisplayAs

    public String getEmail3DisplayAs()
    Gets the email3 display as.
    Returns:
      the email3 display as

  - ### getEmail1Type

    public String getEmail1Type()
    Gets the email1 type.
    Returns:
      the email1 type

  - ### getEmail2Type

    public String getEmail2Type()
    Gets the email2 type.
    Returns:
      the email2 type

  - ### getEmail3Type

    public String getEmail3Type()
    Gets the email3 type.
    Returns:
      the email3 type

  - ### getEmail1EntryId

    public byte[] getEmail1EntryId()
    Gets the email1 entry id.
    Returns:
      the email1 entry id

  - ### getEmail2EntryId

    public byte[] getEmail2EntryId()
    Gets the email2 entry id.
    Returns:
      the email2 entry id

  - ### getEmail3EntryId

    public byte[] getEmail3EntryId()
    Gets the email3 entry id.
    Returns:
      the email3 entry id

  - ### getGender

    public Gender getGender()
    Gets the gender.
    Returns:
      the gender